package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantOrderSplitDetail implements Serializable {
    private Integer id;

    private String merchantcode;

    private String merchantid;

    private String merchantname;

    private String ordernumber;

    private BigDecimal orderamt;

    private BigDecimal divratio;

    private BigDecimal divamt;

    private BigDecimal finalamt;

    private String remark;

    private Date createtime;

    private String ischargefee;

    private Byte status;

    private BigDecimal refundamt;

    private String state;

    private String channelsendsn;

    private String channelrecvsn;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantid() {
        return merchantid;
    }

    public void setMerchantid(String merchantid) {
        this.merchantid = merchantid == null ? null : merchantid.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public BigDecimal getOrderamt() {
        return orderamt;
    }

    public void setOrderamt(BigDecimal orderamt) {
        this.orderamt = orderamt;
    }

    public BigDecimal getDivratio() {
        return divratio;
    }

    public void setDivratio(BigDecimal divratio) {
        this.divratio = divratio;
    }

    public BigDecimal getDivamt() {
        return divamt;
    }

    public void setDivamt(BigDecimal divamt) {
        this.divamt = divamt;
    }

    public BigDecimal getFinalamt() {
        return finalamt;
    }

    public void setFinalamt(BigDecimal finalamt) {
        this.finalamt = finalamt;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getIschargefee() {
        return ischargefee;
    }

    public void setIschargefee(String ischargefee) {
        this.ischargefee = ischargefee == null ? null : ischargefee.trim();
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getChannelsendsn() {
        return channelsendsn;
    }

    public void setChannelsendsn(String channelsendsn) {
        this.channelsendsn = channelsendsn == null ? null : channelsendsn.trim();
    }

    public String getChannelrecvsn() {
        return channelrecvsn;
    }

    public void setChannelrecvsn(String channelrecvsn) {
        this.channelrecvsn = channelrecvsn == null ? null : channelrecvsn.trim();
    }
}